Scilab Function

lyap - Equation de Lyapunov

### Calling Sequence

  `[X]=lyap(A,C,flag)`

### Parameters

- `A, C` : matrices réelles, `C` doit être symétrique
- `flag` : chaîne de caractères, 'c' ou 'd'

### Description

`X = lyap(A,C,flag)` résout l'équation matricielle de Lyapunov en temps continu ou discret

          A'*X + X*A = C       ( flag = 'c' )
          A'*X*A - X = C       ( flag = 'd' )

Une solution unique existe si `A` n'a pas de valeur propre sur l'axe imaginaire (`flag='c'` ) ou si 1 n'est pas valeur propre de `A` (`flag='d'` ).

### Examples

        A=rand(4,4);C=rand(A);C=C+C';
        X=lyap(A,C,'c');
        A'*X + X*A -C
        X=lyap(A,C,'d');
        A'*X*A - X -C

### See Also

`sylv` , `ctr_gram` , `obs_gram` ,